<template>
	<view class="footer flex customer-footer flex-wrap-normal" style="">
		<view v-for="(item, index) in tabBar" :key="index" class="footer-item">
			<!-- <view class="item" :class="flg == index ? 'cur' : ''" @click="go(index, item)"> -->
			<view class="item" :class="currentIndex === index ? 'cur' : ''" @click="go(index, item)">

			<!-- <view v-if="index==0">
					<image src="../../static/images/customer/footer/footer-home-1.png" class="footer-icon"
						v-if="flg==0"></image>
					<image src="../../static/images/customer/footer/footer-home-0.png" class="footer-icon"
						v-if="flg!=0"></image>
				</view>
				<view v-if="index==1">
					<image src="../../static/images/customer/footer/footer-trade-1.png" class="footer-icon"
						v-if="flg==1"></image>
					<image src="../../static/images/customer/footer/footer-trade-0.png" class="footer-icon"
						v-if="flg!=1"></image>
				</view>
				<view v-if="index==2">
					<image src="../../static/images/customer/footer/footer-shopping-1.png" class="footer-icon"
						v-if="flg==2">
					</image>
					<image src="../../static/images/customer/footer/footer-shopping-0.png" class="footer-icon"
						v-if="flg!=2">
					</image>
				</view>
				<view v-if="index==3">
					<image src="../../static/images/customer/footer/footer-self-1.png" class="footer-icon"
						v-if="flg==3"></image>
					<image src="../../static/images/customer/footer/footer-self-0.png" class="footer-icon"
						v-if="flg!=3"></image>
				</view> -->

			<view>
				{{ item.text }}
			</view>

		</view>
	</view>


	</view>
</template>
<script>
export default {
	data() {
		return {
			tabBar: [{

				"text": "首页",
				"pagePath": '/pages/home/home'
			},
			{

				"text": "影视地图",
				"pagePath": '/sub-pages/film-map/index'
			},
			{

				"text": "我的种草",
				"pagePath": '/sub-pages/customer/shopping/shopping'
			},
			{
				"text": "社区",
				"pagePath": '/sub-pages/community/index'
			},
			{
				"text": "我的",
				"pagePath": '/sub-pages/mine/index'
			}
			]
		}
	},
	props: {
		flg: {
			type: String,
		},
		bussincess: {
			type: Boolean,
			default() {
				return false
			}
		}
	},
	created() { },
	computed: {
		currentPath() {
			const pages = getCurrentPages();
			const currentPage = pages[pages.length - 1];
			return '/' + currentPage.route;
		},
		currentIndex() {
			return this.tabBar.findIndex(item => this.normalizePath(item.pagePath) === this.normalizePath(this.currentPath));
		}
	},
	methods: {
		normalizePath(path) {
			return path.replace(/^\/+/, '/');
		},
		go(index, item) {

			// uni.navigateTo({
			// 		url: item.pagePath
			// 	})
			uni.reLaunch({
				url: item.pagePath
			})

		},
	}
}
</script>
<style lang="scss">
@import "./main.scss";
</style>